window.addEventListener('load', function() {
    // Simple function to prefix a zero if the value passed is less than 10
    function formatTime(time) {
        return (time < 10) ? '0' + time : time;
    }
    
    var output = document.querySelector('output');
    var date, hours, mins, secs, tmp_hours, timeofday;
    var messages = {
        "morning": "Good morning!",
        "afternoon": "Good afternoon!",
        "evening": "Good evening!",
        "night": "Shouldn't you be in bed?"
    };
    
    // Get and display the current time every 500 milliseconds
    var timer = window.setInterval(function() {
        date = new Date();
        hours = date.getHours();
        mins = date.getMinutes();
        secs = date.getSeconds();
        output.innerHTML = formatTime(hours) + ':' + formatTime(mins) + ':' + formatTime(secs);
        
        // Make the Speed Dial title display time-related message
        if (hours !== tmp_hours) {            
            if (hours > 15) {
                timeofday = 'evening';
            } else if (hours > 11) {
                timeofday = 'afternoon';
            } else if (hours > 3) {
                timeofday = 'morning';
            } else {
                timeofday = 'night';
            }
            
            if (opera.contexts.speeddial) {
                opera.contexts.speeddial.title = messages[timeofday];
            }
            tmp_hours = hours;
        }
    }, 500); // Twice a second to allow for slight delays in JavaScript execution
}, false);
